## ------------------------------------------------------------------------------------
# @copyright(internal)
# IBM Confidential
# OCO Source Materials
# 
# IBM Enterprise Information Portal for Multiplatforms V8.1 (program number 5724-B43)
# (c ) Copyright IBM Corp. 1998, 2002. 
# IBM Content Manager for Multiplatforms V8.1  (program number 5724-B19)
# (c ) Copyright IBM Corp. 1994, 2002. 
#
# The source code for this program is not published or otherwise divested
# the U.S. Copyright Office.
# @endCopyright
# ------------------------------------------------------------------------------------
#
# DISCLAIMER OF WARRANTIES :
#!/usr/bin/ksh
########################################################################
# Permission is granted to copy and modify this code, and to
# distribute modified versions provided that both the copyright
# notice and this permission notice appear in all copies and modified
# versions. THIS SAMPLE CODE IS LICENSED TO YOU AS-IS. IBM DISCLAIMS
# ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, IN SUCH SAMPLE CODE. IBM
# WILL NOT BE LIABLE FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE
# OF THE CODE.
#
# 
# ----------------------------------------------------------------------------
# ***************************************************************************
# *                                                                         *
# * Program name  : cmadmin81.sh                                            *
# *                                                                         *
# * Description   : Datbase migration for System Admin from EIP V7 to       *
# *                 EIP and CM V8                                           *
# *                                                                         *
# ***************************************************************************
# * save PATH and CLASSPATH so they can be restored at the end
export OLDPATH=$PATH
export OLDCLASSPATH=$CLASSPATH
export CMBROOT=/usr/lpp/cmb
#if [[ "$DB2HOME" == "" ]]; then
#export DB2HOME=/usr/lpp/.....

export MIGJAR=./migration81.jar
export EIPJAR=$CMBROOT/lib/cmbsdk81.jar
export JEXE="$CMBROOT/jdk/jre/bin/java"
export DB2JAR=$DB2HOME/java/db2java.zip
export CMCOMMON=/usr/lpp/cmb/cmgmt
export CLASSPATH=.:$CMCOMMON:$MIGJAR:$EIPJAR:$DB2JAR:$CLASSPATH
# * start Migration
java -Xms16M EIPMigMain 

export PATH=$OLDPATH
export CLASSPATH=$OLDCLASSPATH
export OLDPATH=
export OLDCLASSPATH=
export MIGJAR=
export EIPJAR=
export DB2JAR=
export JEXE=
